---
title: List all campaigns
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Scorecards
---

{% callout %}
# Important note for users on the following Datadog sites: app.ddog-gov.com, us2.ddog-gov.com

{% alert level="danger" %}
This product is not supported for your selected [Datadog site](https://docs.datadoghq.com/getting_started/site.md). ({% placeholder "user-datadog-site-name" /%}).
{% /alert %}

{% /callout %}

# List all campaigns{% #list-all-campaigns %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/scorecard/campaigns |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/scorecard/campaigns |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/scorecard/campaigns      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/scorecard/campaigns      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/scorecard/campaigns  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/scorecard/campaigns     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/scorecard/campaigns |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/scorecard/campaigns |

### Overview

Fetches all scorecard campaigns.

OAuth apps require the `apm_service_catalog_read, cases_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#scorecards) to access this endpoint.



### Arguments

#### Query Strings

| Name                     | Type    | Description                                  |
| ------------------------ | ------- | -------------------------------------------- |
| page[limit]              | integer | Maximum number of campaigns to return.       |
| page[offset]             | integer | Offset for pagination.                       |
| filter[campaign][name]   | string  | Filter campaigns by name (full-text search). |
| filter[campaign][status] | string  | Filter campaigns by status.                  |
| filter[campaign][owner]  | string  | Filter campaigns by owner UUID.              |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of campaigns.

| Parent field | Field                         | Type      | Description                                                      |
| ------------ | ----------------------------- | --------- | ---------------------------------------------------------------- |
|              | data [*required*]        | [object]  | Array of campaigns.                                              |
| data         | attributes [*required*]  | object    | Campaign attributes.                                             |
| attributes   | created_at [*required*]  | date-time | Creation time of the campaign.                                   |
| attributes   | description                   | string    | The description of the campaign.                                 |
| attributes   | due_date                      | date-time | The due date of the campaign.                                    |
| attributes   | entity_scope                  | string    | Entity scope query to filter entities for this campaign.         |
| attributes   | guidance                      | string    | Guidance for the campaign.                                       |
| attributes   | key [*required*]         | string    | The unique key for the campaign.                                 |
| attributes   | modified_at [*required*] | date-time | Time of last campaign modification.                              |
| attributes   | name [*required*]        | string    | The name of the campaign.                                        |
| attributes   | owner [*required*]       | string    | The UUID of the campaign owner.                                  |
| attributes   | start_date [*required*]  | date-time | The start date of the campaign.                                  |
| attributes   | status [*required*]      | string    | The status of the campaign.                                      |
| data         | id [*required*]          | string    | The unique ID of the campaign.                                   |
| data         | type [*required*]        | enum      | The JSON:API type for campaigns. Allowed enum values: `campaign` |
|              | meta [*required*]        | object    | Metadata for scores response.                                    |
| meta         | count [*required*]       | int64     | Number of entities in this response.                             |
| meta         | limit [*required*]       | int64     | Pagination limit.                                                |
| meta         | offset [*required*]      | int64     | Pagination offset.                                               |
| meta         | total [*required*]       | int64     | Total number of entities available.                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created_at": "2023-12-15T10:30:00Z",
        "description": "Campaign to improve security posture for Q1 2024.",
        "due_date": "2024-03-31T23:59:59Z",
        "entity_scope": "kind:service AND team:platform",
        "guidance": "Please ensure all services pass the security requirements.",
        "key": "q1-security-2024",
        "modified_at": "2024-01-05T14:20:00Z",
        "name": "Q1 Security Campaign",
        "owner": "550e8400-e29b-41d4-a716-446655440000",
        "start_date": "2024-01-01T00:00:00Z",
        "status": "in_progress"
      },
      "id": "c10ODp0VCrrIpXmz",
      "type": "campaign"
    }
  ],
  "meta": {
    "count": 10,
    "limit": 10,
    "offset": 0,
    "total": 150
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/scorecard/campaigns" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List all campaigns returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.scorecards_api import ScorecardsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = ScorecardsApi(api_client)
    response = api_instance.list_scorecard_campaigns()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List all campaigns returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::ScorecardsAPI.new
p api_instance.list_scorecard_campaigns()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List all campaigns returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewScorecardsApi(apiClient)
	resp, r, err := api.ListScorecardCampaigns(ctx, *datadogV2.NewListScorecardCampaignsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScorecardsApi.ListScorecardCampaigns`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ScorecardsApi.ListScorecardCampaigns`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List all campaigns returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ScorecardsApi;
import com.datadog.api.client.v2.model.ListCampaignsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    ScorecardsApi apiInstance = new ScorecardsApi(defaultClient);

    try {
      ListCampaignsResponse result = apiInstance.listScorecardCampaigns();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ScorecardsApi#listScorecardCampaigns");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List all campaigns returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_scorecards::ListScorecardCampaignsOptionalParams;
use datadog_api_client::datadogV2::api_scorecards::ScorecardsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = ScorecardsAPI::with_config(configuration);
    let resp = api
        .list_scorecard_campaigns(ListScorecardCampaignsOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List all campaigns returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.ScorecardsApi(configuration);

apiInstance
  .listScorecardCampaigns()
  .then((data: v2.ListCampaignsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
